Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
ThreadUserTimer Class Reference

measure CPU time spent executing instructions of this thread (if supported by OS) More...

`#include <hrtimer.h>`

Inheritance diagram for ThreadUserTimer:

List of all members.

## Public Types

enum | Unit { SECONDS = 0, MILLISECONDS, MICROSECONDS, NANOSECONDS }

## Public Member Functions

| ThreadUserTimer (Unit unit=TimerBase::SECONDS, bool stuckAtZero=false)
TimerWord | GetCurrentTimerValue ()
TimerWord | TicksPerSecond ()
void | StartTimer ()
double | ElapsedTimeAsDouble ()
unsigned long | ElapsedTime ()

## Detailed Description

measure CPU time spent executing instructions of this thread (if supported by OS)

/note This only works correctly on Windows NT or later. On Unix it reports process time, and others wall clock time.

Definition at line 42 of file hrtimer.h.

The documentation for this class was generated from the following file:

- hrtimer.h